package es.ejie.frmk.control.arranque;

import java.io.Serializable;

/**
 * Clase con métodos para recuperar y almacenar los datos relativos a una instancia de Geremua.
 * Estos datos son:
 *  - identificativo de la máquina en la que está desplegada la instancia
 *  - dirección url de la máquina en la que está desplegada la instancia
 *  - nombre del Cluster al que pertenece la instancia, en su caso
 *  - activado. Indica si la instancia se encuentra activa o no.
 *  - CPD o entorno en el que se ubica la instancia (Desarrollo, Pruebas...)
 * 
 */
public class Q70Instancia implements Serializable {
	
	private static final long serialVersionUID = -1331714058728959068L;
	
	private String idInstancia;
	private String url;
	private String nombreCluster;
	private String activado;
	private String cpd;
	
	public String getActivado()
	{
		return activado;
	}
	public void setActivado(String activado)
	{
		this.activado = activado;
	}
	public String getCpd()
	{
		return cpd;
	}
	public void setCpd(String cpd)
	{
		this.cpd = cpd;
	}
	public String getIdInstancia()
	{
		return idInstancia;
	}
	public void setIdInstancia(String idInstancia)
	{
		this.idInstancia = idInstancia;
	}
	public String getNombreCluster()
	{
		return nombreCluster;
	}
	public void setNombreCluster(String nombreCluster)
	{
		this.nombreCluster = nombreCluster;
	}
	public String getUrl()
	{
		return url;
	}
	public void setUrl(String url)
	{
		this.url = url;
	}
	public String getNombre()
	{
		return "['"+getIdInstancia()+"','"+getUrl()+"']";
	}
}
